package test.infinispan;

import org.infinispan.manager.DefaultCacheManager;
import org.infinispan.manager.EmbeddedCacheManager;
import org.infinispan.server.hotrod.HotRodServer;

public class Server
{
    public static void main(String[] args)
    {
        try
        {
            EmbeddedCacheManager manager = new DefaultCacheManager(Thread.currentThread().getContextClassLoader().getResourceAsStream("test-infinispan.xml"));

            System.out.println("Customer cache is starting...");
            manager.getCache("customer");
            System.out.println("Customer cache started");

            System.out.println("Communication cache is starting...");
            manager.getCache("communication");
            System.out.println("Communication cache started");

            HotRodServer hotrod = new HotRodServer();
            hotrod.start(System.getProperties(), manager);

            System.out.println("Started");
        }
        catch (Exception e)
        {
            e.printStackTrace();
            System.exit(-1);
        }
    }
}
